; texture coord out shader
; v0 - 3d position
; v1 - texture coordinates

#define CLIP_MATRIX		0
#define CLIP_MATRIX_1	1
#define CLIP_MATRIX_2	2
#define CLIP_MATRIX_3	3

#define INVERSE_WORLD_MATRIX		4
#define INVERSE_WORLD_MATRIX_1	5
#define INVERSE_WORLD_MATRIX_2	6

#define TRANS_MATRIX		7
#define TRANS_MATRIX_1	8
#define TRANS_MATRIX_2	9
#define TRANS_MATRIX_3	10

#define LIGHT_POSITION	11

#define DIFFUSE_COLOR	12

#define EYE_POSITION	13

#define TEXTURE_OFFSET		14
#define TEXTURE_OFFSET_B	18

#define OFFSET_SET	22

vs.1.1
dcl_position v0
dcl_texcoord0 v1


; no transformation...quad is in transformed coordinates
mov oPos, v0

mov a0.x, c[OFFSET_SET].x ;grab the proper offset

add oT0, v1, c[a0.x + 0]
add oT1, v1, c[a0.x + 1]
add oT2, v1, c[a0.x + 2]
add oT3, v1, c[a0.x + 3]